Bug 21216 - Notices - Add filter/search options to table
Summary: Notices - Add filter/search options to table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20966
  Show dependency treegraph
 
Reported: 2018-08-14 09:20 UTC by Katrin Fischer
Modified: 2018-11-12 09:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21216: Add filter/search options to notices table (5.85 KB, patch)
2018-08-20 11:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21216: Add filter/search options to notices table (5.91 KB, patch)
2018-08-21 10:17 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21216: Add filter/search options to notices table (5.91 KB, patch)
2018-09-24 15:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21216: (follow-up) Exclude some columns from export (4.14 KB, patch)
2018-09-24 15:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21216: Add filter/search options to notices table (5.89 KB, patch)
2018-10-11 13:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21216: (follow-up) Exclude some columns from export (4.14 KB, patch)
2018-10-11 13:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21216: Add filter/search options to notices table (6.01 KB, patch)
2018-10-11 19:18 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21216: (follow-up) Exclude some columns from export (4.25 KB, patch)
2018-10-11 19:18 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21216: Add filter/search options to notices table (6.04 KB, patch)
2018-10-11 20:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21216: (follow-up) Exclude some columns from export (4.29 KB, patch)
2018-10-11 20:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-08-14 09:20:25 UTC
With more and more notices and the option to have your own notice for every branch, the notices table has grown quite a bit. It would be nice if the table offered the option to filter/search on a language code.
Comment 1 Owen Leonard 2018-08-20 11:32:43 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2018-08-21 10:17:12 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2018-08-21 20:34:57 UTC
The copy column doesn't work well on print and export - all pull down entries are exported into one column. Can we improve on this?
Comment 4 Katrin Fischer 2018-08-25 08:36:30 UTC
Hi Owen, could you take a look at comment#3 please? Maybe it's easy to fix.
Comment 5 Owen Leonard 2018-09-24 15:09:20 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2018-09-24 15:09:23 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2018-10-11 13:14:15 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2018-10-11 13:14:19 UTC Comment hidden (obsolete)
Comment 9 Michal Denar 2018-10-11 19:18:00 UTC Comment hidden (obsolete)
Comment 10 Michal Denar 2018-10-11 19:18:05 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2018-10-11 20:37:26 UTC
Created attachment 80425 [details] [review]
Bug 21216: Add filter/search options to notices table

This patch adds a DataTables toolbar to the Notices & slips table,
including a filter field, column visibility, and data export options.

To test, apply the patch and clear your browser cache if necessary.

 - Go to Tools -> Notices & slips
 - Confirm that there is a table toolbar with a filter, a "Column
   visibility" button, and "Excel," "CSV," "Copy," and "Print" buttons.
 - Confirm that showing and hiding columns via the button is working
   correctly.
 - Confirm that only the first four columns are sortable.

Go to Administration -> Columns settings.

- Expand the "Tools" section.
- Find "id=lettert."
- Make some selections to configure default settings of the reports
  table.
- Return to reports and confirm that these defaults are applied.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2018-10-11 20:37:31 UTC
Created attachment 80426 [details] [review]
Bug 21216: (follow-up) Exclude some columns from export

This patch adds a custom buttons configuration to the Notices table so
that columns with form controls are not included in copy/print/export
operations.

The DataTables columns settings include file has been modified
to check for an existing buttons export columns configuration before
applying the default.

To test, apply the patch and clear your browser cache if necessary.

Go to Tools -> Notices & slips. The table of notices should have a
DataTables toolbar with a filter form, column visibility, and export
buttons. Test the functionality of all these tools. Only the first four
columns of the table should be included in printouts and exported files.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2018-10-11 20:37:53 UTC
Export looks great now, thank you!
Comment 14 Nick Clemens 2018-10-24 17:33:16 UTC
Awesome work all!

Pushed to master for 18.11
Comment 15 Martin Renvoize 2018-11-06 10:40:42 UTC
Enhancement will not be backported to 18.05.x series.